Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package ast
  Definition Classes
    nsc
-  package parser
  Definition Classes
    ast
-  package xml
  Definition Classes
    parser
- Utility

o

scala.tools.nsc.ast.parser.xml

# Utility 

###

#### object Utility

The `Utility` object provides utility functions for processing instances of bound and not bound XML classes, as well as escaping text nodes.

Source
  Utility.scala

Linear Supertypes
AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Utility
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
9.  final def getClass(): Class[_]
   Definition Classes
     AnyRef → Any
10.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  def isNameChar(ch: Char): Boolean

        NameChar ::= Letter | Digit | '.' | '-' | '_' | ':'
                   | CombiningChar | Extender

    See [4] and Appendix B of XML 1.0 specification.

13.  def isNameStart(ch: Char): Boolean

        NameStart ::= ( Letter | '_' )

    where Letter means in one of the Unicode general categories `{ Ll, Lu, Lo, Lt, Nl }`.

    We do not allow a name to start with `:`. See [3] and Appendix B of XML 1.0 specification

14.  final def isSpace(ch: Char): Boolean

        (#x20 | #x9 | #xD | #xA)

15.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  final def notify(): Unit
    Definition Classes
      AnyRef
17.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
18.  def parseAttributeValue[T](value: String, text: (String) ⇒ T, entityRef: (String) ⇒ T): List[T]
19.  def parseCharRef(ch: () ⇒ Char, nextch: () ⇒ Unit, reportSyntaxError: (String) ⇒ Unit, reportTruncatedError: (String) ⇒ Unit): String

        CharRef ::= "&#" '0'..'9' {'0'..'9'} ";"
                  | "&#x" '0'..'9'|'A'..'F'|'a'..'f' { hexdigit } ";"

    See [66]

20.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
21.  def toString(): String
    Definition Classes
      AnyRef → Any
22.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
23.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
24.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped